@media (max-width: 600px) {

    br {
        display: none !important;
    }

    p {
        font-size: 16px;
    }

    section {
        padding: 0px !important;
        text-align: center;
    }

    .section-title {
        font-size: 30px;
        color: var(--secondary);
        margin-bottom: 15px;
        position: relative;
        display: inline-block;
        font-weight: 600;
    }

    .group-of-battery img {
        position: absolute;
        width: 446px;
        top: -120px;
        right: -66px;
        display: none;
    }

    .our-products-flex {
        display: flex;
        justify-content: space-evenly;
        gap: 20px;
        flex-direction: column;
    }

    .flex-services-sec {
        display: flex;
        justify-content: center;
        gap: 20px;
        align-items: baseline;
        flex-direction: column;
    }

    .red-color-shape img {
        position: absolute;
        top: -145px;
        left: 50%;
        transform: translate(-50%, -50%);
        width: 390px;
        display: none;
    }

    .how-we-help .container {
        max-width: 1450px !important;
        padding: 60px 20px;
        border-radius: 20px;
    }

    #why-choose .container {
        max-width: 1360px !important;
        border-radius: 20px;
        background-color: #000000;
        padding: 60px 20px !important;
        background-image: url(../img/shapes/why-choose-bg-img.png);
        background-repeat: no-repeat;
        background-size: cover;
        background-position: center;
        padding: 40px 15px;
    }

    .flex-why-choose {
        display: flex;
        justify-content: center;
        gap: 10px;
        align-items: start;
    }

    #rigth-side-only h4 {
        text-align: end;
        font-size: 20px;
    }

    #left-side-only h4 {
        text-align: start;
        font-size: 20px;
    }

    .header-logo {
        width: 150px;
    }

    .header-btn {
        display: none;
    }

    .hero-content {
        position: relative;
        z-index: 2;
        max-width: 100%;
        animation: fadeInUp 1s ease;
        padding-top: 60px;
    }

    .banner-flex-points {
        display: flex;
        gap: 34px;
        justify-content: space-evenly;
        flex-direction: column;
    }

    .banner-flex-point {
        text-align: center;
        text-align: center;
        display: flex;
        align-items: start;
        justify-content: center;
        background: #000;
        padding: 15px;
        border-radius: 20px;
        gap: 15px;
        backdrop-filter: blur(1px) saturate(155%);
        -webkit-backdrop-filter: blur(1px) saturate(155%);
        background-color: #ffffff59;
        border-radius: 12px;
        border: 1px solid rgba(209, 213, 219, 0.3);
    }

    .hero-content h3 {
        font-size: 22px;
    }

    #products-sec .container {
        max-width: 1450px !important;
        border-radius: 20px;
        padding: 60px 10px;
    }

    .services-section .container {
        max-width: 1300px;
        padding: 60px 10px;
    }

    .brands-section {
        background-color: var(--white);
        text-align: center;
        padding: 60px 0px !important;
    }

    .solutions-section {
        background-color: var(--light-gray);
        padding: 60px 0px !important;
    }

    .residential-commercial-solutions-content h2 {
        font-size: 28px;
    }


    .tabs-flex {
        display: flex;
        flex-direction: column;
    }

    .content-wrapper {
        padding: 30px 0px;
    }

    .residential-commercial-solutions-list-items li {
        font-size: 15px;
        font-weight: 600;
        color: #ffffff;
    }

    .residential-commercial-solutions-list-items ul {
        margin-top: 30px !important;
    }

    .tabs {
        margin: 0;
        padding: 0;
        display: flex;
        justify-content: start;
        flex-direction: column;
    }

    .residential-commercial-solutions-content {
        text-align: start;
    }

    .residential-commercial-solutions-img img {
        width: 100%;
    }

    .our-process-img img {
        width: 670px;
        padding-right: 40px;
        display: none;
    }

    .oru-process-strigth-content-icon {
        display: none;
    }

    .oru-process-strigth-content {
        padding: 10px 20px;
        border-radius: 12px;
        display: flex;
        justify-content: start !important;
        background: linear-gradient(187deg, rgba(194, 31, 36, 1) 0%, rgba(117, 16, 18, 1) 80%, rgba(44, 14, 15, 1) 100%);
        align-items: center;
        margin-bottom: 20px;
        gap: 20px;
    }

    .oru-process-strigth-contents h4 {
        font-size: 18px;
        text-align: start;
    }

    .about-section {
        background-color: var(--white);
        padding: 60px 0px !important;
    }

    #inverter-battery-brands-line {
        border-right: 0px solid #fc2f2f !important;
    }

    #inverter-battery-brands-line-top {
        border-bottom: 0px solid #fc2f2f !important;
    }

    .card-top {
        padding: 20px 24px 16px;
        border-bottom: 1px solid var(--border);
        display: flex;
        align-items: flex-start;
        justify-content: space-between;
        gap: 16px;
        flex-direction: column;
    }

    .card-badges {
        display: flex;
        flex-direction: row !important;
        align-items: flex-end;
        gap: 6px;
        flex-shrink: 0;
    }

    .top-search-btn {
        background: var(--red);
        color: var(--white);
        border: none;
        cursor: pointer;
        font-family: inherit;
        font-size: 21px;
        font-weight: 600;
        padding: 12px 8px;
        height: 100%;
        display: flex;
        align-items: center;
        gap: 6px;
        transition: background .2s;
    }

    .search-btn {
        flex-shrink: 0;
        background: var(--red);
        color: var(--white);
        border: none;
        cursor: pointer;
        font-family: "Inter", sans-serif;
        font-size: 0.95rem;
        font-weight: 700;
        padding: 25px 28px;
        display: flex;
        align-items: center;
        gap: 8px;
        transition: background 0.2s, transform 0.1s;
        font-family: "Jost", sans-serif;
    }

    .search-icon {
        padding: 0px 7px;
        color: var(--red);
        font-size: 1.15rem;
        flex-shrink: 0;
    }

    .branchs-card-content h4 {
        left: 179px;
    }

    .branchs-card-contents h4 {
        top: 242px;
        left: 230px;
    }

    .flex-rev {
        display: flex;
        flex-direction: column-reverse;
    }

    .vendor-logo img {
        width: 150px;
        padding: 10px;
        background-color: #f1f1f1;
        border-radius: 12px;
    }

    .vendor-space {
        padding-top: 60px !important;
        padding-bottom: 60px !important;
    }

    .vendor-logo img:hover {
        border: 1px solid #e51010;
        border-radius: 12px;
        padding: 10px;
    }

    .branches-section {
        padding-top: 60px !important;
        padding-bottom: 60px !important;
    }

    .faq-space {
        padding-top: 60px !important;
        padding-bottom: 60px !important;
    }

    .branchs-card-content h4 {
        left: 149px;
    }

    .branchs-card-contents h4 {
        top: 242px;
        left: 201px;
    }

    .Accordion_item .title_tab {
        padding: 12px 13px !important;
    }

    .title-space-btm {
        font-size: 33px;
    }

    .contact-forms {
        padding-bottom: 60px !important;
    }

}




@media only screen and (min-width: 600px) and (max-width: 768px) {
    .header-btn {
        display: none;
    }

    .service-item {
        height: 228px;
    }

    .red-color-shape img {
        display: none;
    }

    #inverter-battery-brands-line {
        border-right: none;
    }

    .flex-rev {
        flex-direction: column-reverse;
    }

    .our-process-img img {
        display: none;
    }

    .branchs-card-content h4 {
        left: 149px;
    }

    .branchs-card-contents h4 {
        top: 236px;
        left: 200px;
    }

    .why-choose-padding {
        padding-left: 20px;
        padding-right: 20px;
    }
}


/* Responsive */
@media (max-width: 992px) {
    .process-steps::before {
        display: none;
    }

    .process-steps {
        flex-direction: column;
        align-items: center;
    }

    .step {
        width: 100%;
        margin-bottom: 40px;
    }

    .solution-card.featured {
        transform: scale(1);
    }
}

@media (max-width: 768px) {
    .nav-toggle {
        display: block;
        z-index: 2000;
    }

    .nav-menu {
        position: fixed;
        left: -110%;
        top: 0;
        flex-direction: column;
        background-color: var(--secondary);
        width: 100%;
        height: 100%;
        text-align: center;
        transition: 0.3s;

        padding-top: 100px;
    }

    .nav-menu.active {
        left: 0;
    }


    .nav-link {
        margin: 20px 0;
        display: block;
        font-size: 1.2rem;
    }

    .hero-title {
        font-size: 2.5rem;
    }

    .hero-actions {
        flex-direction: column;
    }

    .btn-secondary {
        margin-left: 0;
    }

    .reverse {
        flex-direction: column;
    }

    .col-visual {
        height: 300px;
    }

}


@media (min-width: 1200px) {

    .container,
    .container-lg,
    .container-md,
    .container-sm,
    .container-xl {
        max-width: 1250px !important;
    }
}